import { ComponentFixture, TestBed } from '@angular/core/testing';

import { CartDetailsOverviewComponent } from './cart-details-overview.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatDialogModule } from '@angular/material/dialog';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSelectModule } from '@angular/material/select';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';

describe('CartDetailsOverviewComponent', () => {
  let component: CartDetailsOverviewComponent;
  let fixture: ComponentFixture<CartDetailsOverviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ CartDetailsOverviewComponent ],
      imports: [
        HttpClientTestingModule, RouterTestingModule, FormsModule, MatDialogModule, MatFormFieldModule, MatSelectModule,
        MatSnackBarModule, NoopAnimationsModule, ReactiveFormsModule,
      ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(CartDetailsOverviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
